Python manage.py makemigrations error

Issues information

*OS: Windows

Your Issue

Been trying to migrate database in django running > python manage.py makemigrations but keep getting the following error below:

PS C:\Users\tleak\FCC\ai_blog_app\backend\ai_blog_app> python manage.py makemigrations
Traceback (most recent call last):
File “C:\Users\tleak\Lib\site-packages\django\db\backends\postgresql\base.py”, line 25, in
import psycopg as Database
ModuleNotFoundError: No module named ‘psycopg’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\tleak\Lib\site-packages\django\db\backends\postgresql\base.py”, line 27, in
import psycopg2 as Database
ModuleNotFoundError: No module named ‘psycopg2’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “C:\Users\tleak\FCC\ai_blog_app\backend\ai_blog_app\manage.py”, line 22, in
main()
File “C:\Users\tleak\FCC\ai_blog_app\backend\ai_blog_app\manage.py”, line 18, in main
execute_from_command_line(sys.argv)
File “C:\Users\tleak\Lib\site-packages\django\core\management_init_.py”, line 442, in execute_from_command_line
utility.execute()
File “C:\Users\tleak\Lib\site-packages\django\core\management_init_.py”, line 416, in execute
django.setup()
File “C:\Users\tleak\Lib\site-packages\django_init_.py”, line 24, in setup
apps.populate(settings.INSTALLED_APPS)
File “C:\Users\tleak\Lib\site-packages\django\apps\registry.py”, line 116, in populate
app_config.import_models()
File “C:\Users\tleak\Lib\site-packages\django\apps\config.py”, line 269, in import_models
self.models_module = import_module(models_module_name)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “C:\Users\tleak\Lib\importlib_init_.py”, line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “”, line 1204, in _gcd_import
File “”, line 1176, in _find_and_load
File “”, line 1147, in _find_and_load_unlocked
File “”, line 690, in _load_unlocked
File “”, line 940, in exec_module
File “”, line 241, in _call_with_frames_removed
File “C:\Users\tleak\Lib\site-packages\django\contrib\auth\models.py”, line 3, in
from django.contrib.auth.base_user import AbstractBaseUser, BaseUserManager
File “C:\Users\tleak\Lib\site-packages\django\contrib\auth\base_user.py”, line 59, in
class AbstractBaseUser(models.Model):
File “C:\Users\tleak\Lib\site-packages\django\db\models\base.py”, line 143, in new
new_class.add_to_class(“_meta”, Options(meta, app_label))
File “C:\Users\tleak\Lib\site-packages\django\db\models\base.py”, line 371, in add_to_class
value.contribute_to_class(cls, name)
File “C:\Users\tleak\Lib\site-packages\django\db\models\options.py”, line 243, in contribute_to_class
self.db_table, connection.ops.max_name_length()
^^^^^^^^^^^^^^
File “C:\Users\tleak\Lib\site-packages\django\utils\connection.py”, line 15, in getattr
return getattr(self._connections[self.alias], item)
~~~~~~~~~~~~~~~~~^^^^^^^^^^^^^
File “C:\Users\tleak\Lib\site-packages\django\utils\connection.py”, line 62, in getitem
conn = self.create_connection(alias)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “C:\Users\tleak\Lib\site-packages\django\db\utils.py”, line 193, in create_connection
backend = load_backend(db[“ENGINE”])
^^^^^^^^^^^^^^^^^^^^^^^^^^
File “C:\Users\tleak\Lib\site-packages\django\db\utils.py”, line 113, in load_backend
return import_module(“%s.base” % backend_name)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File "C:\Users\tleak\Lib\importlib_init
.py", line 126, in import_module
return _bootstrap._gcd_import(name[level:], package, level)
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
File “C:\Users\tleak\Lib\site-packages\django\db\backends\postgresql\base.py”, line 29, in
raise ImproperlyConfigured(“Error loading psycopg2 or psycopg module”)
django.core.exceptions.ImproperlyConfigured: Error loading psycopg2 or psycopg module

Just hoping I can get some guidance been stuck on it for a while now.

Hello @tleak26,

Seems your app env is lacking psycopg

Traceback (most recent call last):
File “C:\Users\tleak\Lib\site-packages\django\db\backends\postgresql\base.py”, line 25, in
import psycopg as Database
ModuleNotFoundError: No module named ‘psycopg’

So I guess your docker image doesn’t have psycopg.

Can you share your Dockerfile?

Maybe you will find some relevant stuff here.

Cheers